%define upstream_name    Catalyst-Plugin-AutoCRUD
%define upstream_version 2.200002

%global __requires_exclude perl\\(DemoApp\\)|perl\\(DemoAppOtherFeatures\\)|perl\\(DemoAppWithDisplayName\\)


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Instant AJAX web front-end for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Model)
BuildRequires: perl(Catalyst::Model::DBIC::Schema)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Unicode::Encoding)
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(Catalyst::ScriptRunner)
BuildRequires: perl(Catalyst::Utils)
BuildRequires: perl(Catalyst::View::JSON)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(DBIx::Class::Schema::Loader)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Page)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Lingua::EN::Inflect::Number)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(SQL::Translator::Schema)
BuildRequires: perl(SQL::Translator::Schema::Table)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module contains an application which will automatically construct a
web interface for a database on the fly. The web interface supports Create,
Retrieve, Update, Delete and Search operations.

The interface is not written to static files on your system, and uses AJAX
to act upon the database without reloading your web page (much like other
Web 2.0 appliactions, for example Google Mail).

Almost all the information required by the plugin is retrieved from the the
DBIx::Class manpage ORM frontend to your database, which it is expected
that you have already set up (although see the /USAGE manpage, below). This
means that any change in database schema ought to be reflected immediately
in the web interface after a page refresh.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
#doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%doc Changes META.json META.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.200.2-4pclos2017
- rebuild against updates

